Name:           python-certbot-dns-infomaniak
Version:        0.2.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Infomaniak DNS Authenticator plugin for Certbot

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/infomaniak/certbot-dns-infomaniak
Source:         %{pypi_source certbot_dns_infomaniak}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'certbot-dns-infomaniak' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-certbot-dns-infomaniak
Summary:        %{summary}

%description -n python3-certbot-dns-infomaniak %_description


%prep
%autosetup -p1 -n certbot_dns_infomaniak-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-certbot-dns-infomaniak -f %{pyproject_files}


%changelog
%autochangelog